# DataExchange
TKXSBase
Transfer

# Transfer_HSequenceOfFinder Class Reference

`#include <Transfer_HSequenceOfFinder.hxx>`

## Public Member Functions

| Transfer_HSequenceOfFinder ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Transfer_Finder)&anItem)
Standard_EXPORT void | Append (const Handle(Transfer_HSequenceOfFinder)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Transfer_Finder)&anItem)
Standard_EXPORT void | Prepend (const Handle(Transfer_HSequenceOfFinder)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Transfer_Finder)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Transfer_HSequenceOfFinder)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Transfer_Finder)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Transfer_HSequenceOfFinder)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Transfer_HSequenceOfFinder | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Transfer_Finder)&anItem)
Standard_EXPORT const Handle_Transfer_Finder & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Transfer_Finder & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Transfer_SequenceOfFinder & | Sequence () const
Transfer_SequenceOfFinder & | ChangeSequence ()
Standard_EXPORT Handle_Transfer_HSequenceOfFinder | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Transfer_SequenceOfFinder | mySequence

## Constructor & Destructor Documentation

Transfer_HSequenceOfFinder::Transfer_HSequenceOfFinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_HSequenceOfFinder::Append | ( | const Handle(Transfer_HSequenceOfFinder)& | aSequence | ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Append | ( | const Handle(Transfer_Finder)& | anItem | ) |

Transfer_SequenceOfFinder& Transfer_HSequenceOfFinder::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Transfer_Finder& Transfer_HSequenceOfFinder::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Clear | ( |  | ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Transfer_HSequenceOfFinder::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Transfer_HSequenceOfFinder::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_HSequenceOfFinder)& | aSequence
| ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_Finder)& | anItem
| ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_HSequenceOfFinder)& | aSequence
| ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_Finder)& | anItem
| ) |

Standard_Boolean Transfer_HSequenceOfFinder::IsEmpty | ( |  | ) | const

Standard_Integer Transfer_HSequenceOfFinder::Length | ( |  | ) | const

Standard_EXPORT void Transfer_HSequenceOfFinder::Prepend | ( | const Handle(Transfer_HSequenceOfFinder)& | aSequence | ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Prepend | ( | const Handle(Transfer_Finder)& | anItem | ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Transfer_HSequenceOfFinder::Reverse | ( |  | ) |

const Transfer_SequenceOfFinder& Transfer_HSequenceOfFinder::Sequence | ( |  | ) | const

Standard_EXPORT void Transfer_HSequenceOfFinder::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_Finder)& | anItem
| ) |

Standard_EXPORT Handle_Transfer_HSequenceOfFinder Transfer_HSequenceOfFinder::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Transfer_HSequenceOfFinder Transfer_HSequenceOfFinder::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Transfer_Finder& Transfer_HSequenceOfFinder::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Transfer_SequenceOfFinder Transfer_HSequenceOfFinder::mySequence `[private]`

The documentation for this class was generated from the following file:

- Transfer_HSequenceOfFinder.hxx